commit fa27ae247e190b84935151e3fa471a560efd7fdf
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Nov 26 01:26:31 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index e0428feb090..913858765e7 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251125
+20251126
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index e4e226314db..0826df98c08 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,15 @@
+2025-11-25  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-25  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122789
+	* module.cc (trees_out::core_vals): Treat REQUIRES_EXPR
+	specially and stream the chained decls of its first operand.
+	(trees_in::core_vals): Likewise.
+	(trees_out::tree_node): Check the PARM_DECLs we see are what we
+	expect.
+
 2025-11-21  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index dbb85c529ee..80ca7fa1cd0 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,17 @@
+2025-11-25  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-25  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122789
+	* g++.dg/modules/concept-12_a.C: New test.
+	* g++.dg/modules/concept-12_b.C: New test.
+
+2025-11-25  Andre Vieira  <andre.simoesdiasvieira@arm.com>
+
+	* gcc.dg/Wstringop-overflow-47.c: Adjust warnings to allow for 32-bit
+	stores.
+
 2025-11-24  Pan Li  <pan2.li@intel.com>
 
 	Backported from master:

